org.apache.ignite.ml.recommendation.util

## Class RecommendationDatasetDataBuilder<K,O extends Serializable,S extends Serializable,Z extends ObjectSubjectRatingTriplet<O,S>>

- java.lang.Object
- - org.apache.ignite.ml.recommendation.util.RecommendationDatasetDataBuilder<K,O,S,Z>

- Type Parameters:
    `K` - Type of a key in `upstream` data.
    `O` - Type of an object of recommendation.
    `S` - Type of a subject of recommendation.
    `Z` - Type of object-subject pair.
  All Implemented Interfaces:
    Serializable, PartitionDataBuilder<K,Z,EmptyContext,RecommendationDatasetData<O,S>>

      public class RecommendationDatasetDataBuilder<K,O extends Serializable,S extends Serializable,Z extends ObjectSubjectRatingTriplet<O,S>>
      extends Object
      implements PartitionDataBuilder<K,Z,EmptyContext,RecommendationDatasetData<O,S>>

  A partition `data` builder that makes `SimpleDatasetData`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecommendationDatasetDataBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecommendationDatasetData<O,S>` | `build(LearningEnvironment env, Iterator<UpstreamEntry<K,Z>> upstreamData, long upstreamDataSize, EmptyContext ctx)` Builds a new partition `data` from a partition `upstream` data and partition `context`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.dataset.PartitionDataBuilder

      `andThen, build`

- - ### Constructor Detail

    - #### RecommendationDatasetDataBuilder

          public RecommendationDatasetDataBuilder()

  - ### Method Detail

    - #### build

          public RecommendationDatasetData<O,S> build(LearningEnvironment env,
                                                      Iterator<UpstreamEntry<K,Z>> upstreamData,
                                                      long upstreamDataSize,
                                                      EmptyContext ctx)

      Builds a new partition `data` from a partition `upstream` data and partition `context`. Important: there is no guarantee that there will be no more than one UpstreamEntry with given key, UpstreamEntry should be thought rather as a container saving all data from upstream, but omitting uniqueness constraint. This constraint is omitted to allow upstream data transformers in `DatasetBuilder` replicating entries. For example it can be useful for bootstrapping.
      Specified by:
        `build` in interface `PartitionDataBuilder<K,Z extends ObjectSubjectRatingTriplet<O,S>,EmptyContext,RecommendationDatasetData<O extends Serializable,S extends Serializable>>`
      Parameters:
        `env` - Learning environment.
        `upstreamData` - Partition `upstream` data.
        `upstreamDataSize` - Partition `upstream` data size.
        `ctx` - Partition `context`.
      Returns:
        Partition `data`.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022